Listar consultas recentes da empresa
curl --request GET \
--url https://api.base39.com.br/v2/companies/{document}/queries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/companies/{document}/queries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/companies/{document}/queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.base39.com.br/v2/companies/{document}/queries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.base39.com.br/v2/companies/{document}/queries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.base39.com.br/v2/companies/{document}/queries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.base39.com.br/v2/companies/{document}/queries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"results": [
{
"id": "<string>",
"dataset": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"datasetName": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"type": "<string>"
}Consultas
Listar consultas recentes da empresa
GET
/
v2
/
companies
/
{document}
/
queries
Listar consultas recentes da empresa
curl --request GET \
--url https://api.base39.com.br/v2/companies/{document}/queries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/companies/{document}/queries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/companies/{document}/queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.base39.com.br/v2/companies/{document}/queries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.base39.com.br/v2/companies/{document}/queries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.base39.com.br/v2/companies/{document}/queries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.base39.com.br/v2/companies/{document}/queries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"results": [
{
"id": "<string>",
"dataset": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"datasetName": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"type": "<string>"
}Autorizações
OAuth2 Authorization Code flow
Parâmetros de caminho
Company document (CNPJ)
Parâmetros de consulta
Maximum number of results
Resposta
List of query summaries
Identificador do tipo do objeto
List of query summaries
Show child attributes
Show child attributes
Indica se há mais resultados após esta página
Cursor da próxima página; nulo quando não há mais resultados.
Tipo dos resultados
⌘I